%global nautilus_version 43~beta

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           nautilus-python
Version:        4.0
Release:    1%{?dist}
Summary:        Python bindings for Nautilus

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/NautilusPython
Source0:        https://download.gnome.org/sources/%{name}/4.0/%{name}-%{tarball_version}.tar.xz

BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  nautilus-devel >= %{nautilus_version}
BuildRequires:  pygobject3-devel
BuildRequires:  python3-devel

Requires:       nautilus-extensions >= %{nautilus_version}
Requires:       python3-gobject-base

Provides:       python3-nautilus = %{version}-%{release}
Provides:       python3-nautilus = %{version}-%{release}

%description
Python bindings for Nautilus


%package devel
Summary:        Python bindings for Nautilus
Requires:       %{name} = %{version}-%{release}
Provides:       python3-nautilus-devel = %{version}-%{release}
Provides:       python3-nautilus-devel = %{version}-%{release}

%description devel
Python bindings for Nautilus


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install
mkdir -p %{buildroot}%{_datadir}/nautilus-python/extensions
rm -rfv %{buildroot}%{_docdir}


%files
%license COPYING
%doc AUTHORS NEWS.md README.md
%{_libdir}/nautilus/extensions-4/libnautilus-python.so
%dir %{_datadir}/nautilus-python/extensions

%files devel
%doc examples/
%{_datadir}/pkgconfig/nautilus-python.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/nautilus-python/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0-1
- initial build
